Page MenuHomePhabricator

Admin Stats should mark stewards and global sysops
Closed, ResolvedPublic3 Story Points

Description

As you can see, between 2018-04-01 and 2018-05-04 there were 4 users on the Hungarian Wikipedia who made admin actions without local admin right. Two 'user groups' boxes are empty, which can mean two thing:

  • a) user lost her/his local right
  • b) user has global steward right

In my opinion, Admin Stats should mark stewards to make their actions more visible. Is it possible to mark them with S (like Admins and Bureaucrats)?

Event Timeline

Bencemac created this task.May 4 2018, 4:30 PM
MusikAnimal moved this task from Inbox to Other on the XTools board.May 4 2018, 4:47 PM
MusikAnimal added a subscriber: MusikAnimal.

Yeah we should query global user groups, too. I think this wasn't done for performance reasons, but I am not sure. We shall investigate :)

It does at least say at the top, "Some users may be former admins, or are non-admins but have rights to make certain admin actions."

Vvjjkkii renamed this task from Admin Stats should mark stewards to jldaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Matthewrbowker renamed this task from jldaaaaaaa to Admin Stats should mark stewards.Jul 1 2018, 1:27 AM
Matthewrbowker raised the priority of this task from High to Needs Triage.
Matthewrbowker updated the task description. (Show Details)
MusikAnimal triaged this task as Normal priority.Aug 10 2018, 7:59 AM
MusikAnimal set the point value for this task to 3.
MusikAnimal moved this task from Other to Admin Stats on the XTools board.Dec 6 2018, 9:27 AM
MusikAnimal closed this task as Resolved.Apr 15 2019, 4:50 PM
MusikAnimal moved this task from Pending deployment to Complete on the XTools board.

@MusikAnimal; Thanks for your work! I forgot to mention Global sysops who can create similar logs as stewards. For example, see Billinghurst's activity at urwiki. Could you implement this user group as well?

MusikAnimal reopened this task as Open.Apr 16 2019, 4:57 AM
MusikAnimal moved this task from Complete to Pending deployment on the XTools board.

@MusikAnimal; Thanks for your work! I forgot to mention Global sysops who can create similar logs as stewards. For example, see Billinghurst's activity at urwiki. Could you implement this user group as well?

Done with 0499a26b and will go out with the next release. I will re-open and re-title this task accordingly.

MusikAnimal renamed this task from Admin Stats should mark stewards to Admin Stats should mark stewards and global sysops.Apr 16 2019, 4:57 AM

Thank you and sorry for the late idea!